Halide 22.0.0 Halide compiler and libraries

Loading...
Searching...
No Matches
Public Attributes | List of all members
Halide::Runtime::Internal::MemoryBlock Struct Reference

`#include <memory_resources.h>`

## Public Attributes
void * | handle = nullptr
size_t | size = 0
bool | dedicated = false
MemoryProperties | properties

## Detailed Description

Definition at line 65 of file memory_resources.h.

## Member Data Documentation

## ◆ handle

void* Halide::Runtime::Internal::MemoryBlock::handle = nullptr

Definition at line 66 of file memory_resources.h.

Referenced by Halide::Runtime::Internal::Vulkan::VulkanMemoryAllocator::allocate_block(), Halide::Runtime::Internal::Vulkan::VulkanMemoryAllocator::allocate_region(), Halide::Runtime::Internal::Vulkan::VulkanMemoryAllocator::deallocate_block(), Halide::Runtime::Internal::Vulkan::VulkanMemoryAllocator::map(), and Halide::Runtime::Internal::Vulkan::VulkanMemoryAllocator::unmap().

## ◆ size

size_t Halide::Runtime::Internal::MemoryBlock::size = 0

Definition at line 67 of file memory_resources.h.

Referenced by Halide::Runtime::Internal::Vulkan::VulkanMemoryAllocator::allocate_block(), Halide::Runtime::Internal::Vulkan::VulkanMemoryAllocator::deallocate_block(), Halide::Runtime::Internal::BlockAllocator::pool_size(), and Halide::Runtime::Internal::RegionAllocator::reserve().

## ◆ dedicated

bool Halide::Runtime::Internal::MemoryBlock::dedicated = false

Definition at line 68 of file memory_resources.h.

Referenced by Halide::Runtime::Internal::Vulkan::VulkanMemoryAllocator::allocate_block(), and Halide::Runtime::Internal::Vulkan::VulkanMemoryAllocator::deallocate_block().

## ◆ properties

MemoryProperties Halide::Runtime::Internal::MemoryBlock::properties

Definition at line 69 of file memory_resources.h.

Referenced by Halide::Runtime::Internal::Vulkan::VulkanMemoryAllocator::allocate_block(), Halide::Runtime::Internal::RegionAllocator::conform(), and Halide::Runtime::Internal::Vulkan::VulkanMemoryAllocator::deallocate_block().

The documentation for this struct was generated from the following file:

- src/runtime/internal/memory_resources.h